Figure - 0 O Requirement#119113
[DNSIJOOOODODOODOO0OOODODNS
2023-07-29 14:42 - CD LCO [

Status: 00 &0 00 InAnalysis Start date: 2023-07-29

Priority: Normal Due date: 2023-08-04

Assignee: cbLco o % Done: 60%

Category: Estimated time: 0.00 hour

Target version:

Description

1.00000thox(5G)0 000D OO U DNSO 218.4.4.40

200000Wi-FiDO0ODOO0OODNSDOOOoooo

History

#1-2023-07-29 14:43-CD LCO O

- % Done changed from 0 to 60

Update progress:

gOo0oO0OdO0O0GerritCdOVvVBOOO

https://dev.thundercomm.com/gerrit/q/topic:FIGURE_ MK_MICROSETTINGS_DNS

#2 - 2023-08-01 21:39 - loT scm

Gerrit Merge Information(]
1D Project Branch Uploader
216963 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-qssi12 | taohp0107@thundersoft.com

m/apps/VehicleControl -dev

TS-R-DF-119113, IOVDEV-37689Change-Id: Iff411416dae5d9ac1c3a9856b12a3ad3f63fccesd

LC:DNS: Set DNS according to WiFi/Thox usedAccording to the network(WiFi/Thox) used, set the different DNS.TC-RID: 1201-0400601IssuelD:

#3 - 2023-08-01 21:39 - 0T scm

Gerrit Merge Informationd

1D Project Branch

Uploader

216975 general/platform/frameworks/base

-dev

Pre_figure_turbox-c2130c-lal.1-gssi12 | taohp0107@thundersoft.com

TS-R-DF-119113, IOVDEV-37689Change-1d: 140587060796 1aede3edef7edb08bb012df435a57

LC:DNS: Change the default DNS server to 218.4.4.4Chagne the default DNS server from 101.226.4.6 to 218.4.4.4TC-RID: 1201-0400601IssuelD:

#4 - 2023-08-01 21:44 - 10T scm

Gerrit Merge Information(]

2025-08-17

17



https://dev.thundercomm.com/gerrit/q/topic:FIGURE_MK_MICROSETTINGS_DNS

1D Project Branch Uploader

216986 general/platform/frameworks/opt/net/ | Pre_figure_turbox-c2130c-lal.1-gssi12 | taohp0107@thundersoft.com

ethernet -dev

LC:Ethernet: Ignore the saving configTC-RID: 1201-0400601IssuelD: TS-R-DF-119113, IOVDEV-37689Change-Id:
110e15d86775e2ce21d9279ed48dc52593ea5a37d

#5 - 2023-08-01 22:01 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
218576 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | taohp0107@thundersoft.com
-dev

LC:Network: Handling pointer exceptionslf the destination is, do not set the gateway address. TC-RID: 1201-0400601IssuelD: TS-R-DF-119113,
I0OVDEV-37689Change-1d: 18df8087e9e00a3cdd91ba5641h79686d2c384978

#6 - 2023-08-10 20:36 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
302369 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
m/apps/VehicleControl -release_sorp

LC:DNS: Set DNS according to WiFi/Thox usedAccording to the network(WiFi/Thox) used, set the different DNS.TC-RID: 1201-0400601IssuelD:
TS-R-DF-119113, IOVDEV-37689Change-Id: Iff411416dae5d9ac1c3a9856b12a3ad3f63fcced(cherry picked from commit
82f1279d89720542afe30523ef99c98d3a7ed5aa)

#7 - 2023-08-10 20:37 - 0T scm

Gerrit Merge Informationd

1D Project Branch Uploader
302370 general/platform/frameworks/opt/net/ | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
ethernet -release_sorp

LC:Ethernet: Ignore the saving configTC-RID: 1201-0400601lssuelD: TS-R-DF-119113, IOVDEV-37689Change-Id:
110e15d86775e2ce21d9279ed48dc52593ea5a37d(cherry picked from commit 0d5525dca7af6a966703e775df372374af9a476¢)

#8 - 2023-08-10 20:37 - 10T scm

Gerrit Merge Information(]

2025-08-17 207



1D

Project

Branch

Uploader

302371

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp

wangxl0510@thundersoft.com

LC:Network: Handling pointer exceptionslf the destination is, do not set the gateway address. TC-RID: 1201-0400601lIssuelD: TS-R-DF-119113,
I0VDEV-37689Change-Id: 18df8087e9e00a3cdd91ba5641b79686d2c384978(cherry picked from commit 3038f4c0324de0d18adeaa6470ce50f4844266¢8)

#9 - 2023-11-06 19:00 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

318332

general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

xin.yang_a@thundersoft.com

LC:Ethernet:Strengthen routing settingsStrengthen routing settingsTC-RID: 0301-0201802IssuelD: TS-R-DF-119113, FIR-776Change-Id:
16a7bc91a70542ch0515b71d98e3357d20a56e099

#10 - 2023-11-08 22:41 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

326551

general/platform/vendor/thundercom
m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

LC:Ethernet:Strengthen routing settingsStrengthen routing settingsTC-RID: 0301-0201802IssuelD: TS-R-DF-119113, FIR-776Change-1d:
16a7bc91a70542¢ch0515b71d98e3357d20a56e099(cherry picked from commit 1¢1f07852a04c0f802c74e8de8b3023¢37580h5h)

#11 - 2023-11-14 10:51 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

327750

general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

Revert LC:Ethernet:Strengthen routing settingsThis reverts commit 4b96bda21aa0Obe70b27acdb4fce6655126ebe627.Reason for revert: <no network>TC-RID:
0301-0201802IssuelD: TS-R-DF-119113, FIR-776Change-1d: Ib2eec7ce989f2e8cc8f07e4h81dbfd253cecofcd

2025-08-17
#12 - 2023-11-14 10:51 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

327873

general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangxl0510@thundersoft.com

Revert LC:Ethernet:Strengthen routing settingsThis reverts commit 1¢1f07852a04c0f802¢c74e8de8b3023c37580b5h.Reason for revert: <fix no network>TC-RID:
0301-0201802IssuelD: TS-R-DF-119113, FIR-776Change-1d: 12bb4335803d8104d5516e91dc7968bb7ac1290a6

#13 - 2023-11-17 13:52 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

327372

general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

taohp0107@thundersoft.com

LC:Network: Modify the VLAN interface of the mapping tboxModify the VLAN interface of the mapping central controller tbox. TC-RID: 1201-0400701IssuelD:
TS-R-DF-119113Change-Id: 13937fc650f0c7cd0e54db70338711f2f33917d85

#14 - 2023-11-17 14:41 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

328716

general/platform/vendor/thundercom
m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

LC:Network: Modify the VLAN interface of the mapping tboxModify the VLAN interface of the mapping central controller tbox. TC-RID: 1201-0400701lssuelD:
TS-R-DF-119113Change-Id: 13937fc650f0c7cd0e54dh70338711f2f33917d85(cherry picked from commit 770c1e904f5ecal48ch8f1c87f7935956aca29ca)

#15 - 2023-11-20 17:47 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

329523

general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp_0146

wangxl0510@thundersoft.com

LC:Network: Modify the VLAN interface of the mapping tboxModify the VLAN interface of the mapping central controller tbox. TC-RID: 1201-0400701IssuelD:
TS-R-DF-119113Change-Id: 13937fc650f0c7cd0e54db70338711f2f33917d85(cherry picked from commit 770c1e904f5ecal48ch8f1c87f7935956aca29ca)

2025-08-17

47




#16 - 2023-12-04 23:44 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

333422

general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev_vx1

wangxl0510@thundersoft.com

Revert LC:Network: Modify the VLAN interface of the mapping tboxThis reverts commit 770c1e904f5ecal48ch8f1c87f7935956aca29ca. TC-RID:
1201-0400701IssuelD: TS-R-DF-119113Change-1d: 1589f1273692f1b09a7069c0ebe9016h8fc517627

#17 - 2023-12-04 23:48 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

333364

general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp_vx1

wangxl0510@thundersoft.com

Revert LC:Network: Modify the VLAN interface of the mapping tboxThis reverts commit 770c1e904f5ecal48ch8f1c87f7935956aca29ca. TC-RID:
1201-0400701lssuelD: TS-R-DF-119113Change-Id: 1589f1273692f1b09a7069c0ebe9016b8fc517627(cherry picked from commit
2f10b443b11eff727¢27fc9141c56a38fec9c6e0)

#18 - 2023-12-27 14:41 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

332794

general/platform/vendor/thundercom
m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

taohp0107@thundersoft.com

LC:Network: Limit use 2020 port in QSSIAdd iptable rules.Only 192.168.4.16 can use 2020 port. TC-RID: 1201-04007011ssuelD: TS-R-DF-119113Change-Id:
190fe3bccd62b4dal4b3e8f5e5f10c0ee7cc0fl4b

#19 - 2023-12-27 14:41 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

332795

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

taohp0107@thundersoft.com

2025-08-17

LC:Network: Limit use 2020 port in QSSIAdd iptables sepolicy. TC-RID: 1201-0400701IssuelD; TS-R-DF-119113Change-Id:

5/7




l1a0bc6de5d257964cfe634b27¢9815d7d63ec08a9

#20 - 2023-12-28 15:05 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

340721

general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

LC:Network: Limit use 2020 port in QSSIAdd iptable rules.Only 192.168.4.16 can use 2020 port. TC-RID: 1201-0400701IssuelD: TS-R-DF-119113Change-Id:
190fe3bccd62b4dal4h3e8f5e5f10c0ee7ccOf14b(cherry picked from commit 35ab9e507adf9b58ecd85cdc13915¢cc83fe7al58)

#21 - 2023-12-28 15:05 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

340722

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

LC:Network: Limit use 2020 port in QSSIAdd iptables sepolicy. TC-RID: 1201-0400701Issuel D: TS-R-DF-119113Change-Id:
1a0bc6de5d257964cfe634b27¢9815d7d63ec08a9(cherry picked from commit bbfb24356fddch55d0963a7abd205bc44d752f4f)

#22 - 2023-12-28 15:07 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

340723

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev_mce

wangxl0510@thundersoft.com

LC:Network: Limit use 2020 port in QSSIAdd iptables sepolicy. TC-RID: 1201-0400701IssuelD: TS-R-DF-119113Change-Id:
l1a0bc6de5d257964cfe634b27¢9815d7d63ec08a9(cherry picked from commit bbfb24356fddch55d0963a7abd205bc44d752f4f)

#23 - 2023-12-28 15:08 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

340724

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp_mce

wangxl0510@thundersoft.com

2025-08-17

6/7




LC:Network: Limit use 2020 port in QSSIAdd iptables sepolicy. TC-RID: 1201-0400701IssuelD: TS-R-DF-119113Change-Id:
1a0bc6de5d257964cfe634b27¢9815d7d63ec08ad(cherry picked from commit bbfb24356fddcb55d0963a7abd205bc44d752f4f)(cherry picked from commit
2c9081cd2fcad6dc23de89aaab44347ae1701e57)

#24 - 2023-12-28 15:10 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

340725

general/platform/vendor/thundercom
m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev_vx1

wangxl0510@thundersoft.com

LC:Network: Limit use 2020 port in QSSIAdd iptable rules.Only 192.168.4.16 can use 2020 port. TC-RID: 1201-0400701IssuelD: TS-R-DF-119113Change-Id:
190fe3bccd62b4dal4b3e8f5e5f10c0ee7ccOfl4b(cherry picked from commit 35ab9e507adf9b58ecd85cdc13915¢cc83fe7al58)

#25 - 2023-12-28 15:10 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

340726

general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp_vx1

wangxl0510@thundersoft.com

LC:Network: Limit use 2020 port in QSSIAdd iptable rules.Only 192.168.4.16 can use 2020 port. TC-RID: 1201-0400701IssuelD: TS-R-DF-119113Change-Id:
190fe3bccd62b4dal4h3e8f5e5f10c0ee7ccOfl4b(cherry picked from commit 35ab9e507adf9b58ecd85cdc13915cc83fe7al58) (cherry picked from commit
436d3f6cal6718195¢739e2297c¢03308h3a4deh0)

2025-08-17

1




